
Foreman - Refactor #214

Foreman rpm review

04/15/2010 08:46 PM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Packaging   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1> On the installation instructions page for the rpm, it should be suggested that the "epel" repository should be enabled.

2> If possible, the settings.yaml, email.yaml and database.yaml files should be moved to, or have a symbolic link in /etc/foreman/

3> If possible, the log files should be moved to /var/log/foreman/production.log. A lot of people have separate partitions for /var .

4> There are other issues in "rpmlint foreman-0.1.4-2.noarch.rpm" that can be easily fixed. Like "Description too long".

Associated revisions

Revision 501a98b4 - 05/02/2010 04:21 PM - Todd Zullinger 

fixes #214packaging: Misc. improvements to rpm spec file

- Rework %%install for better FHS compliance

- Misc. adjustments to match Fedora/EPEL packaging guidelines

- Update License field to GPLv3+ to match README

This does not allow a clean upgrade from 0.1.4-3 rpm, as directories

can't be converted to links.

Revision a7520751 - 05/31/2010 09:50 AM - Ohad Levy

fixes #214 - update RPM spec files

History

#1 - 04/19/2010 03:24 AM - Ohad Levy

- Category set to 21

- Target version set to 0.1-5

I would also add logrotate as the log files can grow quite quickly.

#2 - 05/02/2010 04:39 PM - Anonymous

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 501a98b4a2b52962166bbf8fd952770a95734780.

#3 - 05/31/2010 03:49 PM - Ohad Levy

Applied in changeset a752075141d7a7865a7239c8fc69b60c4eaafe35.

#4 - 05/31/2010 05:01 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

- Assignee set to Ohad Levy
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/501a98b4a2b52962166bbf8fd952770a95734780
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/a752075141d7a7865a7239c8fc69b60c4eaafe35


#5 - 10/15/2018 01:43 PM - Tomer Brisker

- Category changed from 21 to Packaging
